Subject: Re: bug#45799: 28.0.50; Faces shrink unreadable on GUI when foreground/background color set in TUI

From: Eli Zaretskii <[email-masked]>
Date: Wed, 13 Jan 2021 16:30:17 +0200

> From: Richard Stallman <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Wed, 13 Jan 2021 00:38:46 -0500
> 
>   > Someone will have to implement an infrastructure to allow users
>   > customize faces separately for each type of frame.  The current
>   > Customize machinery for faces was not supposed to allow that.
> 
> How many types of frames are there?  Just two (GUI and text)?  For
> just two, it could be that a user could customize each one fairly
> easily.  Make two files, .emacs.gui and .emacs.text, then have .emacs
> choose to load one or the other of those two.  Then put the
> customization for GUI terminals into .emacs.gui and that for text
> terminals into .emacs.text.

That doesn't do the job when you have a session which mixes GUI and
TTY frames, as in Jean's case.  Specifically, Emacs is started with
GUI frames, but then emacsclient requests a TTY frame in that session.